      PROGRAM VLIST1
************************************************************************
* Sample program illustrating the use of DO loops to read and display  *
* a list of velocities. Identifiers used are:                          *
*     LIMIT  : (parameter) limit on the number of velocities           *
*     VELOC  : array to store the list of velocities                   *
*     NUMVEL : number of values read into the array VELOC              *
*     I      : subscript                                               *
*                                                                      *
* Input:  NUMVEL and a list of NUMVEL velocities                       *
* Output: The list of velocities                                       *
************************************************************************

      INTEGER LIMIT, NUMVEL, I
      PARAMETER (LIMIT = 50)
      REAL VELOC(LIMIT)

* Read the list of velocities

      PRINT *, 'ENTER THE NUMBER OF VELOCITIES:'
      READ *, NUMVEL
      PRINT *, 'ENTER THE VELOCITY VALUES, ONE PER LINE:'
      DO 10 I = 1, NUMVEL
         READ *, VELOC(I)
 10   CONTINUE

* Print the list of velocities

      PRINT 20
 20   FORMAT(/1X, 'LIST OF VELOCITIES:' / 1X, 18('='))
      DO 40 I = 1, NUMVEL
         PRINT 30, I, VELOC(I)
 30      FORMAT(1X, I3, '  :', F10.1)
 40   CONTINUE

      END


